Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QHttp.ConnectionMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QHttp.ConnectionMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QHttp

    public static final class QHttp.ConnectionMode

extends java.lang.Enum
implements QtEnumerator

This enum is used to specify the mode of connection to use. When using the Https mode, care should be taken to connect to the sslErrors signal, and handle possible Ssl errors.

See also:
  QSslSocket.

See Also:
  Serialized Form

Field Summary
`static QHttp.ConnectionMode` | `ConnectionModeHttp` The connection is a regular Http connection to the server
`static QHttp.ConnectionMode` | `ConnectionModeHttps` The Https protocol is used and the connection is encrypted using SSL.

Method Summary
`static QHttp.ConnectionMode` | `resolve(int value)` Returns the QHttp$ConnectionMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QHttp.ConnectionMode` | `valueOf(java.lang.String name)`
`static QHttp.ConnectionMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ConnectionModeHttp

    public static final QHttp.ConnectionMode ConnectionModeHttp

  The connection is a regular Http connection to the server

### ConnectionModeHttps

    public static final QHttp.ConnectionMode ConnectionModeHttps

  The Https protocol is used and the connection is encrypted using SSL.

Method Detail

### values

    public static QHttp.ConnectionMode[] values()

### valueOf

    public static QHttp.ConnectionMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QHttp.ConnectionMode resolve(int value)

  Returns the QHttp$ConnectionMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD